:root {
    --primary: #4CAF50;
    --primary-dark: #388E3C;
    --font-family: 'Arial, sans-serif';
    --btn-border-color: #dee2e6;
    --success: #28a745;
    --warning: #ffc824;
}

body {
    max-width: 450px;
    margin-inline: auto;
    padding: 10px;
    min-height: 100vh;
}

a,
a:hover,
a:focus {
    color: black;
}

.btn.btn-primary {
    background-color: var(--primary);
    border: none;
    color: white;
}

.btn.btn-primary:active {
    background-color: var(--primary-dark);
}

.btn.btn-map {
    background-color: lightskyblue;
    color: darkslateblue
}

.dashboard {
    background: var(--primary);
    border-radius: 8px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    padding: 1.5rem;
    padding-top: 1rem;
    margin-bottom: 1rem;
    color: white;
}


.logo {
    display: flex;
    justify-content: center;
}

.logo img {
    height: 80px;
    margin-bottom: .5rem;
}

.dashboard-header {
    margin-bottom: 1.5rem;
    display: flex;
    justify-content: space-between;
}

.dashboard-title {
    font-size: 1.25rem;
    font-weight: 500;
}

.dashboard-btn {
    background-color: white;
    width: fit-content;
    border-radius: 8px;
    padding: .5rem;
    text-decoration: none;
    text-align: center;
    /* border: 2px outset var(--btn-border-color); */
    color: grey;
    transition: background 0.3s, color 0.3s;
    /* height: 100px; */
}

.dashboard-btn:hover {
    color: grey;
}

.dashboard-btn:active,
.dashboard-btn:focus {
    color: grey;
    background: lightgrey;
}

.btn-back {
    border-radius: 8px;
    padding: .5rem;
    border: 2px solid #dee2e6;
}

.warning {
    background-color: var(--warning);
    /* e.g. #ffc107 */
    color: #000;
}

.success {
    background-color: #6fc682ff;
    /* border: 2px solid var(--success); */
}

.task-list {
    list-style: none;
    padding: 0;
    margin: 0;
    gap: 0.75rem;
}

.task-list .list-item {
    overflow: hidden;
    margin-bottom: .5rem;
}

.task-list .list-subitem {
    border-radius: 8px;
    /* border: 1px solid #e0e0e0; */
    overflow: hidden;
    margin-top: .5rem;
    font-weight: normal;
}

.task-list .list-subitem .badge {
    font-weight: normal;
}


.task-list .list-header {
    padding: 1rem;
    border-radius: 8px;
    border: 1px solid #e0e0e0;
    text-decoration: none;
    display: flex;
    justify-content: space-between;
    cursor: pointer;
    align-items: center;
}

.task-list .list-header span {
    font-size: 1rem;
}

.activity-section {
    margin-bottom: 1.5rem;
}

.activity-section h5 {
    font-size: 1.25rem;
    font-weight: 600;
    margin-bottom: 1.25rem;
    color: #212529;
}

.btn-strend {
    background-color: var(--primary);
    color: #FFF;
    border: none;
    border-radius: 8px;
    font-size: 1rem;
    font-weight: 500;
    width: 100%;
    padding: .5rem;
}

.strend-info-box {
    border: 1px solid #f7f7f7;
    border-radius: 8px;
    padding: 12px;
    margin-bottom: 12px;
    background-color: #ffffff;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

.login-container {
    max-width: 420px;
    margin: 60px auto;
    border: 1px solid #0000001a;
    padding: 30px;
    background: #fff;
    border-radius: 12px;
}

.logo-wrapper {
    text-align: center;
    margin-bottom: 20px;
}

.logo-wrapper img {
    width: 150px;
}

.location-list {
    list-style: none;
    padding: 0;
    margin: 0;
    gap: 0.75rem;
}

.location-list .list-item {
    border-radius: 8px;
    border: 1px solid #e0e0e0;
    color: black;
    overflow: hidden;
    margin-bottom: .5rem;
}

.location-list .list-header {
    padding: 1rem;
    display: flex;
    justify-content: space-between;
    cursor: pointer;
    align-items: center;
}

.location-list .list-header span {
    font-size: 1rem;
}

.collapse-inner {
    background: #f9f9f9;
}

.collapse-inner td {
    padding: .5rem 1rem;
    text-align: left;
    vertical-align: top;
}

.activity-section {
    margin-bottom: 1.5rem;
}

.activity-section h5 {
    font-size: 1.25rem;
    font-weight: 600;
    margin-bottom: 1.25rem;
    color: #212529;
}


.btn-complete,
.btn-complete:hover {
    border: 1px solid transparent;
    background-color: var(--success);
    color: #FFFFFF;
    font-weight: 500;
}


.btn-back,
.btn-back:hover {
    background-color: white;
    border: 2px solid rgba(0, 0, 0, 0.478);
    text-decoration: none;
    color: black;
}

.uploaded-photo {
    position: relative;
    display: inline-block;
    margin: 5px;
}

.uploaded-photo img {
    width: 100px;
    height: 100px;
    object-fit: cover;
    border-radius: 8px;
    border: 1px solid #ccc;
}

.uploaded-photo .remove-photo {
    position: absolute;
    top: -6px;
    right: -6px;
    background: red;
    color: #fff;
    border: none;
    border-radius: 25%;
    width: 20px;
    height: 20px;
    font-size: 16px;

    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
}